Bug 102702 - libwrap.so is installed to /usr/lib
Summary: libwrap.so is installed to /usr/lib
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcp_wrappers   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-20 00:54 UTC by Paul Jakma
Modified: 2007-04-18 16:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-25 08:31:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Jakma 2003-08-20 00:54:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
the tcp_wrappers package installs its dynamic libraries to /usr/lib:

[root@fogarty root]# rpm -ql tcp_wrappers | grep lib
/usr/lib/libwrap.a
/usr/lib/libwrap.so
/usr/lib/libwrap.so.0
/usr/lib/libwrap.so.0.7.6

This is a problem as important applications installed to /bin,/sbin may link to
it. In particular portmap, which creates problems for systems which have /usr as
an NFS partition.

Please note I will also file a bug for portmap. But I think resolution should be
that libwrap is install to /lib.

Version-Release number of selected component (if applicable):
all versions

How reproducible:
Always

Steps to Reproduce:
1. rpm -ql tcp_wrappers
    

Additional info:

Comment 1 Florian La Roche 2003-08-25 08:31:59 UTC
portmap is changed to statically link to -lwrap and I don't know of any other
service in /sbin or /bin that is left with a dependency to /usr.

Thanks for your bug-report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.